# -- Override the name of the chart
nameOverride:

# -- Override the expanded name of the chart
fullnameOverride:

image:
  # -- Image repository
  repository: git.cyrilix.bzh/cyrilix/pod-volume-cleaner
  # -- Image tag
  # Defaults to appVersion in Chart.yaml if omitted
  tag: ""
  # -- Image pull policy
  pullPolicy: IfNotPresent
  # -- Image pull secrets
  pullSecrets: []
  # - secretName

# -- The number of old history to retain to allow rollback
revisionHistoryLimit: 0

# -- Deployment update strategy.
# Ref: https://kubernetes.io/docs/concepts/workloads/controllers/deployment/#strategy
# @default -- See [values.yaml](values.yaml)
updateStrategy:
  type: RollingUpdate

rbac:
  # -- Create ClusterRoles, ClusterRoleBindings, and ServiceAccount
  create: true
  serviceAccount:
    # -- Create a ServiceAccount
    create: true
    # -- The ServiceAccount name
    name:
    # -- Annotations for the ServiceAccount
    annotations: {}
    # example.com/annotation: value


service:
    # -- Service port.
    port: 9098
    # -- Service type.
    type: ClusterIP
    # -- Service node port.
    # Only used if `service.type` is `NodePort`.
    nodePort:
    # -- Service annotations.
    annotations: { }


resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi


# -- Additional labels to add to each pod
podLabels: {}
# example.com/label: foo

# -- Additional annotations to add to each pod
podAnnotations: {}
# example.com/annotation: foo

# -- Security context for the pod
podSecurityContext: {}

# -- Security context for the containers
securityContext:
  runAsNonRoot: true
  privileged: false
  allowPrivilegeEscalation: false
  readOnlyRootFilesystem: true
  capabilities:
    drop:
      - ALL
  seccompProfile:
    type: RuntimeDefault

# -- Optional priority class to be used for kyverno pods
priorityClassName: ''

# -- Node affinity constraints.
nodeAffinity: {}

# -- Node labels for pod assignment
nodeSelector: {}

# -- List of node taints to tolerate
tolerations: []

# -- Topology spread constraints.
topologySpreadConstraints: []



podCleaner:
  # -- File to watch to detect orphan pod errors
  logfile: /var/log/syslog
  # -- Log level: info,debug
  logLevel: info


podMonitor:
  # -- Create a `PodMonitor` to collect Prometheus metrics.
  enabled: false
  # -- Url path to scrap metrics
  path: /metrics
  # -- Additional labels
  additionalLabels:
  # key: value
  # --  Interval to scrape metrics
  interval: 30s
  # -- Timeout if metrics can't be retrieved in given time interval
  scrapeTimeout: 25s
  # -- Is TLS required for endpoint
  secure: false
  # -- TLS Configuration for endpoint
  tlsConfig: {}
